/*
*******************************************************************************
**
**  This device driver was created by Applilet for the V850ES/JG2, V850ES/JJ2
**  32-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002-2006
**  All rights reserved by NEC Electronics Corporation
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	port.h
**  Abstract :	This file implements a device driver for the port module
**  APIlib :	V850ESJx2.lib V1.70 [7 Dec. 2006]
**
**  Device :	uPD70F3716
**
**  Compiler :	NEC/CA850
**
*******************************************************************************
*/
#ifndef	_MDPORT_
#define	_MDPORT_
/*
** **************************************************************************
** MacroDefine
** **************************************************************************
*/
#define	PORT_PMC0	0x20
#define	PORT_PM0	0xdf
#define	PORT_PF0	0x0
#define	PORT_P0	0x20
#define	PORT_PM1	0xff
#define	PORT_P1	0x0
#define	PORT_PMC3	0x80
#define	PORT_PM3	0xffff
#define	PORT_P3	0x0
#define	PORT_PF3	0x0
#define	PORT_PMC4	0x0
#define	PORT_PM4	0xff
#define	PORT_P4	0x0
#define	PORT_PF4	0x0
#define	PORT_PMC5	0x3c
#define	PORT_PM5	0xcb
#define	PORT_P5	0x0
#define	PORT_PF5	0x0
#define	PORT_PM7L	0xff
#define	PORT_P7L	0x0
#define	PORT_PM7H	0xff
#define	PORT_P7H	0x0
#define	PORT_PMC9	0x0
#define	PORT_PM9	0xffff
#define	PORT_P9	0x0
#define	PORT_PF9	0x0
#define	PORT_PMCM	0xff
#define	PORT_PCM	0x0
#define	PORT_PMCCM	0x0
#define	PORT_PMCT	0xbf
#define	PORT_PCT	0x40
#define	PORT_PMCCT	0x40
#define	PORT_PMDH	0xff
#define	PORT_PDH	0x0
#define	PORT_PMCDH	0x0
#define	PORT_PMDL	0xffff
#define	PORT_PDL	0x0
#define	PORT_PMCDL	0x0

extern void PORT_Init(void);
#endif
